# Media content Pattern
#
media:
  label: "Media content"
  description: "A Media content block"
  fields:
    background:
      description: "Media image."
      label: Background image
      preview:
        alt: "this is a sample image"
        theme: image
        uri: "http://dummy-images.com/abstract/dummy-1280x768-Stones-plain.jpg"
      type: image
    link:
      description: "URI that points somewhere"
      label: Link
      preview: "https://cern.ch"
      type: url
  libraries:
    - media:
        css:
          component:
            css/media.component.css: {}
        js:
          js/component-media.js: {}
  use: "@cern_components/molecules/media/media.html.twig"
